<app-header [buttonTitle]="'Δημιουργία'" [buttonIcon]="'add'" [title]="'Καταγραφές Ενεργειών'"  [hasAction]="false"></app-header>

<div [style.height.px]="tableHeight" style="overflow-y: auto;">
  <mat-table [dataSource]="logs" class="mat-elevation-z8">

    <ng-container matColumnDef="logId">
      <mat-header-cell *matHeaderCellDef>Αναγνωριστικό</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.logId}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="message">
      <mat-header-cell *matHeaderCellDef>Μήνυμα</mat-header-cell>
      <mat-cell fxLayoutAlign="start center" *matCellDef="let element">{{element.message}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="actionDescription">
      <mat-header-cell *matHeaderCellDef>Ενέργεια</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.actionDescription}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="typeDescription">
      <mat-header-cell *matHeaderCellDef>Τύπος ενέργειας</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.typeDescription}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="identifier">
      <mat-header-cell *matHeaderCellDef>Χρήστης</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.identifier}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="createdAt">
      <mat-header-cell *matHeaderCellDef>Ημ. Ενέργειας</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.createdAt | customDate}}</mat-cell>
    </ng-container>


    <mat-header-row  *matHeaderRowDef="displayColumns sticky: true"></mat-header-row>
    <mat-row  *matRowDef="let row; columns: displayColumns; "></mat-row>

  </mat-table>
</div>
